## freetable 2.3

=== Makefile ===
OBJ=en.1 fr.1 pl.1
TESTS=testsuite/test01.html testsuite/test02.html testsuite/test03.html testsuite/test04.html \
    testsuite/test05.html testsuite/test06.html testsuite/test07.html testsuite/test08.html \
    testsuite/test09.html testsuite/test10.html

%.1: %.pod
	ln -sf $< freetable.pod && pod2man --center='Freetable' --utf8 freetable.pod >$@
	rm -f freetable.pod

all: $(OBJ)

clean:
	rm -f $(OBJ) $(TESTS)

tests: $(TESTS)

testsuite/%.html: testsuite/%.in ./freetable
	./freetable <$< >$@
testsuite/test07.html: testsuite/test07.in ./freetable
	./freetable -l -m <$< >$@
testsuite/test08.html: testsuite/test08.in ./freetable
	./freetable -l -m <$< >$@
testsuite/test10.html: testsuite/test10.in ./freetable
	./freetable -l <$< >$@

## freetable 0.5

=== debian/changelog ===
freetable (0.5) unstable; urgency=low

  * Adding one part to manual
  * Solving bug when equal sign appeared immediately after regexp
  * Correcting Denis' adress

 -- Tomasz Wegrzanowski <maniek@beer.com>  Fri, 31 Dec 1999 11:02:00 +0100

freetable (0.2) unstable; urgency=low

  * Sponsoring package for Thoasz Wegrzanowski <maniek@beer.com>
  * Uncommented call to dh_installdocs

 -- Elie Rosenblum <fnord@debian.org>  Thu,  9 Dec 1999 16:52:18 -0500

freetable (0.1) unstable; urgency=low

  * Initial Release

 -- Tomasz Wegrzanowski <maniek@beer.com>  Wed,  8 Dec 1999 22:00:00 +0100

Local variables:
mode: debian-changelog
add-log-mailing-address: "maniek@beer.com"
End:

=== debian/control ===
Source: freetable
Section: web
Priority: optional
Maintainer: Elie Rosenblum <fnord@debian.org>
Standards-Version: 3.1.0

Package: freetable
Architecture: all
Depends: ${perl:Depends}
Description: A Perl script that facilitates the production of HTML tables
 Freetable is a perl script that aims to make the production of HTML
 tables a little easier.  This script works as a filter, reading stdin
 and writing to stdout.
 .
 The input syntax is as roughly follows:
 .
       <wwwtable table-options...>
 .
         initial text (e.g. <caption> ... </caption>).
 .
         (X, Y) options for cell (X, Y)
         text for cell (X,Y)...
 .
         ((X,Y)) options for header cell X,Y
         text for header cell (X,Y)...
 .
       </wwwtable>
 .
 Rows and cells may be specified in any order, numbering starts at 1. 
 X and/or Y may be replaced by a regular expression to indicate rows or
 columns.  Options or text (or both) may be omitted for cells.  Cells
 may be omitted completely if they are empty or fall under the
 rowspan/colspan specifications of another cell.  Cells may contain
 arbitrary HTML text, including other freetable tables.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# This version is for packages that are architecure independant.

package = freetable
SHELL = /bin/sh

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	#$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	#-$(MAKE) distclean

	dh_clean

# Build architecture-independent files here.
binary-indep: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs usr/bin usr/share/man/man1

	cp -av freetable debian/tmp/usr/bin/
	cp -av freetable.1 debian/tmp/usr/share/man/man1/freetable.1

	dh_installdocs
#	dh_installexamples
#	dh_installmenu
	dh_installmanpages
#	dh_undocumented
	dh_installchangelogs
	dh_compress
	# Temporary hack until dh_compress is updated.  (1999-07-06)
	#find debian/tmp/usr/share/man -type f ! -name "*.gz" | xargs gzip -9v
	dh_fixperms
	dh_suidregister
	dh_installdeb
	dh_perl
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build
# We have nothing to do by default.

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## freetable 2.3

=== debian/changelog ===
freetable (2.3-4.4) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control:
    + Apply "wrap-and-sort -abst".
    + Bump Standards-Version to 4.6.1.
    + Move perl from Build-Depends-Indep to Build-Depends.
      This package only builds an arch:all package anyway.
    + Bump debhelper compat to v13.
    + Replace hardcoded perl dependency with ${perl:Depends}.
    + Add missing ${misc:Depends} placeholder for dependency field.
  * debian/source/format: Convert to "3.0 (quilt)". (Closes: #1007039)
  * debian/patches: Add patch to reflect previous direct changes.
  * debian/rules: Convert to dh sequencer. (Closes: #998943)
    + Force non-parallel build to circumvent pod2man race condition.

 -- Boyuan Yang <byang@debian.org>  Wed, 25 May 2022 02:04:00 -0400

freetable (2.3-4.3) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Tue, 29 Dec 2020 02:38:02 +0100

freetable (2.3-4.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Move to debhelper compat level 9. (Closes: #817463)

 -- Chris Lamb <lamby@debian.org>  Sun, 25 Sep 2016 13:13:33 +0200

freetable (2.3-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS with perl 5.18: POD errors":
    add =encoding directives to {fr,pl}.pod and convert them to utf8;
    call pod2man with --utf8 in Makefile.
    (Closes: #723869)

 -- gregor herrmann <gregoa@debian.org>  Wed, 23 Oct 2013 17:34:08 +0200

freetable (2.3-4) unstable; urgency=low

  * Remove me from Maintainers.

 -- Luk Claes <luk@debian.org>  Wed, 23 Jan 2008 22:56:30 +0000

freetable (2.3-3) unstable; urgency=low

  * New maintainers.
  * Add debian/compat for debhelper 4.
  * Updated debian/copyright.

 -- Luk Claes <luk@debian.org>  Sat, 30 Sep 2006 12:21:32 +0200

freetable (2.3-2) unstable; urgency=low

  * debian/control:  Bump Standards-Version to 3.6.1, no changes needed.

 -- Denis Barbier <barbier@debian.org>  Tue, 28 Dec 2004 08:38:50 +0100

freetable (2.3-1) unstable; urgency=low

  * Tarball contains an ancient fr.pod, which is replaced by a newer one.
  * New upstream release  (Closes: Bug#123277)

 -- Denis Barbier <barbier@debian.org>  Mon, 10 Dec 2001 21:20:57 +0100

freetable (2.1-1) unstable; urgency=low

  * New upstream release, fix cell jumping code
  * Remove add-log-mailing-address to let lintian happy

 -- Denis Barbier <barbier@debian.org>  Mon, 27 Aug 2001 12:35:41 +0200

freetable (2.0-1) unstable; urgency=low

  * New maintainer, with Elie's approval
  * New upstream release (Closes: Bug#94104)

 -- Denis Barbier <barbier@debian.org>  Fri, 20 Jul 2001 22:09:36 +0200

freetable (2.0) unstable; urgency=low

  * Range or arbitrary Perl code as cell address

 -- Tomasz Wegrzanowski <taw@users.sourceforge.net>  Sun, 15 Apr 2001 22:51:21 +0200

freetable (1.1) unstable; urgency=low

  * Minor fix for ecmascript in nested tables

 -- Tomasz Wegrzanowski <maniek@beer.com>  Sat, 13 May 2000 11:06:21 +0200

freetable (1.0) frozen unstable; urgency=low

  * Updated French manpage

 -- Tomasz Wegrzanowski <maniek@beer.com>  Sun, 30 Jan 2000 21:57:00 +0100

freetable (0.11) unstable; urgency=low

  * New upstream version

 -- Tomasz Wegrzanowski <maniek@beer.com>  Thu, 27 Jan 2000 01:27:00 +0100

=== debian/control ===
Source: freetable
Section: web
Priority: optional
Maintainer: Felipe Augusto van de Wiel (faw) <faw@debian.org>
Standards-Version: 4.6.1
Build-Depends:
 debhelper-compat (= 13),
 perl,

Package: freetable
Architecture: all
Depends:
 ${perl:Depends},
 ${misc:Depends},
Description: Facilitates production of HTML tables
 Freetable is a perl script that aims to make the production of HTML
 tables a little easier.  This script works as a filter, reading stdin
 and writing to stdout.
 .
 The input syntax is as roughly follows:
 .
       <wwwtable table-options...>
         initial text (e.g. <caption> ... </caption>).
         (X, Y) options for cell (X, Y)
         text for cell (X,Y)...
         ((X,Y)) options for header cell X,Y
         text for header cell (X,Y)...
       </wwwtable>
 .
 Rows and cells may be specified in any order, numbering starts at 1.
 X and/or Y may be replaced by regular expression, explicit range
 or even arbitrary Perl code to indicate rows or columns.
 Options or text (or both) may be omitted for cells.  Cells
 may be omitted completely if they are empty or fall under the
 rowspan/colspan specifications of another cell.  Cells may contain
 arbitrary HTML text, including other freetable tables.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND =

%:
	dh $@ --no-parallel
	# Non-parallel build required due to race condition
	# in "pod2man freetable.pod".

override_dh_installdirs:
	dh_installdirs usr/bin usr/share/man/man1 usr/share/man/fr/man1 usr/share/man/pl/man1

override_dh_auto_install:
	install -m 755 freetable debian/freetable/usr/bin/
	install -m 644 en.1 debian/freetable/usr/share/man/man1/freetable.1
	install -m 644 fr.1 debian/freetable/usr/share/man/fr/man1/freetable.1
	install -m 644 pl.1 debian/freetable/usr/share/man/pl/man1/freetable.1
